package db

import (
	"context"
	"youngee_b_api/model/gorm_model"
)

func CreateEnterprise(ctx context.Context, newEnterprise gorm_model.Enterprise) (*int, error) {
	db := GetReadDB(ctx)
	err := db.Create(&newEnterprise).Error
	if err != nil {
		return nil, err
	}
	return &newEnterprise.EnterpriseID, nil
}
