package db

import (
	"context"
	"youngee_b_api/model/gorm_model"
)

func CreateProject(ctx context.Context, projectInfo gorm_model.ProjectInfo) (*int, error) {
	db := GetReadDB(ctx)
	err := db.Create(&projectInfo).Error
	if err != nil {
		return nil, err
	}
	return &projectInfo.ProjectID, nil
}
